﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.

Sub Process_Globals
''	Private SQL2 As SQL

End Sub

Sub Globals
	''Private B4XTable1 As B4XTable
End Sub

'This routine is extracted from the DBUtils code module
'Creates a html text that displays the data in a table.
'The style of the table can be changed by modifying HtmlCSS variable.

Public Sub ExecuteHtml(SQL As SQL, Query As String, StringArgs() As String, Limit As Int, Clickable As Boolean) As String
	Private cur As Cursor
	
	'	Log("ExecuteHtml: " & Query)

	If StringArgs <> Null Then
		cur = SQL.ExecQuery2(Query, StringArgs)
	Else
		'Log("ExecuteHtml: " & Query)
		
		SQL.BeginTransaction
		cur = SQL.ExecQuery(Query)
		SQL.TransactionSuccessful
		SQL.EndTransaction
	End If
'	Log("ExecuteHtml: " & Query)

	If Limit > 0 Then Limit = Min(Limit, cur.RowCount) Else Limit = cur.RowCount

	Private sb As StringBuilder
	sb.Initialize
	sb.Append("<html><body>").Append(CRLF)
	sb.Append("<style type='text/css'>").Append(Starter.HtmlCSS).Append("</style>").Append(CRLF)
	sb.Append("<table><tr>").Append(CRLF)
	For i = 0 To cur.ColumnCount - 1
		sb.Append("<th>").Append(cur.GetColumnName(i)).Append("</th>")
	Next
	
	sb.Append("</tr>").Append(CRLF)
	For row = 0 To Limit - 1
		cur.Position = row
		If row Mod 2 = 0 Then
			sb.Append("<tr>")
		Else
			sb.Append("<tr class='odd'>")
		End If
		For i = 0 To cur.ColumnCount - 1
			sb.Append("<td>")
			If Clickable Then
				sb.Append("<a href='http://").Append(i).Append(".")
				sb.Append(row)
				sb.Append(".com'>").Append(cur.GetString2(i)).Append("</a>")
			Else
				sb.Append(cur.GetString2(i))
			End If
			sb.Append("</td>")
		Next
		sb.Append("</tr>").Append(CRLF)
	Next
	cur.Close
	sb.Append("</table></body></html>")
	Return sb.ToString
End Sub

'Sub LoadTable
'	Private B4XTable1 As B4XTable
	
'	Dim Data As List
'	Data.Initialize

''	Dim rs As ResultSet = SQL2.ExecQuery(Query)

'	SQL2.Initialize(File.DirRootExternal, "groceries.db", False)
		
	' B4XTable1.Initialize("","")
	' B4XTable1.ClearDataView
	
'	Log (Starter.SelectedOperation)
	
'	Select (Starter.SelectedOperation)
'		Case "Product"
'			Log (Starter.SelectedOperation)
'		Case "Shop"
'			Dim rs As ResultSet = SQL2.ExecQuery("SELECT Name, Address, City FROM Shop")
			
			'  barCode TEXT, Name TEXT, Price REAL, shopID INTEGER
'			B4XTable1.AddColumn("Shop", B4XTable1.COLUMN_TYPE_TEXT)
'			B4XTable1.AddColumn("Address", B4XTable1.COLUMN_TYPE_TEXT)
'			B4XTable1.AddColumn("City", B4XTable1.COLUMN_TYPE_TEXT)
	
'			Do While rs.NextRow
'				Dim row(3) As Object  '4
'				row(0) = rs.GetString("Name")
'				row(1) = rs.GetString("Address") '& " " & rs.GetString("LastName")
'				row(2) = rs.GetString("City")
				'Some of the fields are Null. We need to convert them to empty strings:
				''		If row(2) = Null Then row(2) = ""
				''		row(3) = rs.GetInt("shopID")
'				Data.Add(row)
'			Loop

'		Case "Shopping"
'		Case "Frequent"
			
			
'	End Select
'	rs.Close
'	B4XTable1.SetData(Data)
'End Sub


'<?xml version="1.0" encoding="utf-8"?>
'<shape xmlns:android="http://schemas.android.com/apk/res/android" 
 '   android:shape="rectangle">
'
'	<gradient
'		android:startColor="#16199D"
'		android:endColor="#FFFFFF"
'		android:Type="linear"
'		android:angle="90"/>
'
'	<corners
'		android:radius="50dp"/>
'
'</shape>
'
'-----------

'	<Button
'		android:id="@+id/button"
'		android:layout_width="360dp"
'		android:layout_height="wrap_content"
'		android:background="@drawable/button_background"
'		android:text="Shop"
'		android:textSize="30sp"
'		android:textAllCaps="false"
'		android:fontFamily="sans"
'		android:textColor="#FFFFFF"/>
